package app;

import java.util.ArrayList;
import java.util.List;
import java.util.Dictionary;
import java.util.Hashtable;


public class Estacionamiento {
    
    public List<Automovil> autos = new ArrayList<Automovil>();

    public enum Tipe { General, VIP, Discapacitado }

    public Dictionary<Tipe, Integer> capacidad = new Hashtable<>();
    public Dictionary<Tipe, Integer> capacidadActual = new Hashtable<>();
    public Dictionary<Tipe, Integer> tarifas = new Hashtable<>();

    public Estacionamiento( int[] capacidades, int[] _tarifas ){
        capacidad.put(Tipe.General, capacidades[0] );
        capacidad.put(Tipe.VIP, capacidades[1] );
        capacidad.put(Tipe.Discapacitado, capacidades[2] );

        capacidadActual.put(Tipe.General, 0);
        capacidadActual.put(Tipe.VIP, 0);
        capacidadActual.put(Tipe.Discapacitado, 0);

        tarifas.put(Tipe.General, _tarifas[0] );
        tarifas.put(Tipe.VIP, _tarifas[1] );
        tarifas.put(Tipe.Discapacitado, _tarifas[2] );
    }

    public int GetAvailableSpace( Tipe key ){
        return capacidad.get( key ) - capacidadActual.get( key );
    }
    public void SetCurrentCapacity( Tipe key, int value ){
        capacidadActual.put(key, capacidadActual.get(key) + value);
    }
}